# Standalone Prices

## GraphQL partial SDLs

This is a graphql reference page. In the llms.txt variant, those components link to the shared partial SDL key list instead of trying to resolve inline GraphQL reference content.

Fetch all available partial SDL keys first:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:returnTypesList
```

Then fetch the one or more relevant partial SDL with a key from that list by calling the same endpoint with a schema ID:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:schema:<key>
```

The response body is a JSON object keyed by the requested content ID. For example, the key-list request returns a `ctp:gql-sphere:returnTypesList` field and a schema request returns a `ctp:gql-sphere:schema:<key>` field.

**Queries and mutations for managing Standalone Prices in the platform.**

## Queries

### Query Standalone Prices

[fetch SDL for query standalonePrices](#graphql-partial-sdls).

### Get Standalone Price

[fetch SDL for query standalonePrice](#graphql-partial-sdls).

## Mutations

### Create Standalone Price

[fetch SDL for mutation createStandalonePrice](#graphql-partial-sdls).

### Update Standalone Price

[fetch SDL for mutation updateStandalonePrice](#graphql-partial-sdls).

### Delete Standalone Price

[fetch SDL for mutation deleteStandalonePrice](#graphql-partial-sdls).

## Output types

### StandalonePrice

[fetch SDL for type StandalonePrice](#graphql-partial-sdls).

### Standalone Price Query Result

[fetch SDL for type StandalonePriceQueryResult](#graphql-partial-sdls).

## Input types

### CreateStandalonePrice

> This type is equivalent to [StandalonePriceDraft](/api/projects/standalone-prices.md#standalonepricedraft) in REST.

[fetch SDL for type CreateStandalonePrice](#graphql-partial-sdls).

### StandalonePriceUpdateAction

[fetch SDL for type StandalonePriceUpdateAction](#graphql-partial-sdls).

### Update actions

#### Apply Staged Changes

[fetch SDL for type ApplyStagedChanges](#graphql-partial-sdls).

#### Change Active

[fetch SDL for type ChangeStandalonePriceActive](#graphql-partial-sdls).

#### Change Value

[fetch SDL for type ChangeStandalonePriceValue](#graphql-partial-sdls).

#### Set Key

[fetch SDL for type SetStandalonePriceKey](#graphql-partial-sdls).

#### Set Discounted Price

[fetch SDL for type SetStandalonePriceDiscountedPrice](#graphql-partial-sdls).

#### Set Custom Field

[fetch SDL for type SetStandalonePriceCustomFields](#graphql-partial-sdls).

#### Set Custom Type

[fetch SDL for type CustomFieldsDraft](#graphql-partial-sdls).

#### Set Valid From And Until

[fetch SDL for type SetStandalonePriceValidFromAndUntil](#graphql-partial-sdls).

#### Set Valid From

[fetch SDL for type SetStandalonePriceValidFrom](#graphql-partial-sdls).

#### Set Valid Until

[fetch SDL for type SetStandalonePriceValidUntil](#graphql-partial-sdls).

#### Add Price Tier

[fetch SDL for type AddStandalonePriceTier](#graphql-partial-sdls).

#### Remove Price Tier

[fetch SDL for type RemoveStandalonePriceTier](#graphql-partial-sdls).

#### Remove Staged Changes

[fetch SDL for type RemoveStagedChanges](#graphql-partial-sdls).

#### Set Price Tiers

[fetch SDL for type SetStandalonePriceTiers](#graphql-partial-sdls).

## Related pages

- [Search documentation and API specs](/search.md)